## mrtg 2.5.2

=== Makefile ===
#################################################################
# Makefile for mrtg ...
#################################################################
# this is to fix IRIX who prefers csh
SHELL=/bin/sh
# GD_INCLUDE 
# The path to the include files for the gd graphics library.
#GD_INCLUDE=/usr/local/include/gd
GD_INCLUDE=gd1.2

# GD_LIB
# The path to the gd graphics library: libgd.a
#GD_LIB=/usr/local/lib
GD_LIB=gd1.2

# Where is perl 5 on this machine
# PERL=/usr/local/bin/perl
PERL=/usr/local/gnu/bin/perl5


# CC
# C compiler used to compile rateup. gcc works for me.
# cc from SparcWorks is OK as well
CC=gcc
#CC=cc
# CFLAGS
# Enter '-g' to include debugging info, or '-O2' to optimize
# for gcc
CFLAGS=-g -O -Wall

# for sparcworks
#CFLAGS=-g


########################### End of constants

all:
	@echo  ""
	@echo  ""
	@echo  "INSTRUCTIONS"
	@echo  "------------"
	@echo  "Look in 'readme.html' for full instructions on installing mrtg."
	@echo  "To compile rateup, the C program that accelerates mrtg,"
	@echo  "you will first need to compile the gd graphics library by"
	@echo  "Thomas Boutell (see http://www.boutell.com/gd/)"
	@echo  ""
	@echo  "Once you have compiled the gd library,"
	@echo  "edit 'Makefile' to reflect the paths to the gd"
	@echo  "header files (GD_INCLUDE) and the gd library file (GD_LIB),"
	@echo  "and to your perl 5 binary"
	@echo  ""
	@echo  "* To compile rateup, then type 'make rateup'."
	@echo  "* Do a 'make substitute' to fix the perl5 pointers in the scripts"
	@echo  ""
	@echo  "And now you should realy read the docs!"
	@echo  ""
	@echo  ""

rateup: rateup.c
	$(CC) $(CFLAGS) rateup.c -I$(GD_INCLUDE) -L$(GD_LIB) -lgd -lm -o rateup

PERLFILES = mrtg cfgmaker indexmaker convert

substitute:
	$(PERL) -pi -e 's@^#\!/.*@#!$(PERL)@' $(PERLFILES)


#################################################################
# Private Parts :-)
#################################################################

NUMBER = 2.5.2
VERSION = mrtg-$(NUMBER)

TAR = tar
ZIP = zip
TARCREATE = cvzf
FILES = $(VERSION)/BER.pm \
	$(VERSION)/COPYING \
	$(VERSION)/COPYRIGHT \
	$(VERSION)/Changes \
	$(VERSION)/Contributors \
	$(VERSION)/INSTALL \
	$(VERSION)/Makefile \
	$(VERSION)/Todo \
	$(VERSION)/SNMP_Session.pm \
	$(VERSION)/cfgmaker \
	$(VERSION)/convert \
	$(VERSION)/indexmaker \
	$(VERSION)/mrtg \
	$(VERSION)/mrtg-l.gif \
	$(VERSION)/mrtg-m.gif \
	$(VERSION)/mrtg-r.gif \
	$(VERSION)/mrtg-ti.gif \
	$(VERSION)/rateup.c \
	$(VERSION)/readme.html \
	$(VERSION)/readme.txt \
	$(VERSION)/contrib \
	$(VERSION)/mibhelp.txt \
	$(VERSION)/htaccess-dist \
	$(VERSION)/mrtg-conf.html \
	$(VERSION)/mrtg-conf.txt \
	$(VERSION)/mrtg-conf.pod \
	$(VERSION)/README.logfile-format

ARCHIVE=$(VERSION).tar.gz
ZIPARC=$(VERSION).zip

tar:
	lynx readme.html -dump > readme.txt 
	pod2html mrtg-conf.pod | perl -p -e 's|<BODY|<BODY BGCOLOR="#FFFFFF" TEXT="#000000" LINK="#990200" VLINK="#006342" |' > mrtg-conf.html 
	pod2text mrtg-conf.pod > mrtg-conf.txt 
	cd .. ; ln -s mrtg $(VERSION) ;\
	$(TAR) $(TARCREATE) $(VERSION)/$(ARCHIVE) $(FILES);\
	$(TAR) $(TARCREATE) $(VERSION)/rateup-sol251-$(NUMBER).tar.gz $(VERSION)/rateup;\
	$(ZIP) -r $(VERSION)/$(ZIPARC) $(FILES);\
	$(ZIP) $(VERSION)/rateup-win32-$(NUMBER).zip $(VERSION)/rateup.exe;\
	rm $(VERSION)

=== contrib/ping-probe/Makefile ===
##################################################################
# $Id: Makefile,v 1.6 1997/02/28 17:32:48 pwo Exp $
# mrtg-ping-probe release $Name: Release_1_6_0 $
#
# Copyright (c) 1997 by Peter W. Osel <pwo@guug.de>, Cupertino.
# All Rights Reserved.
#
# See the file COPYRIGHT in the distribution for the exact terms.
#
##################################################################
# Makefile for mrtg-ping-probe
##################################################################

all:	man

POD =	mrtg-ping-probe
MAN =	$(POD).1
HTML =	$(POD).html
TEX =	$(POD).tex

FILES = COPYING COPYRIGHT INSTALL Makefile NEWS README \
	check-ping-fmt mrtg-ping-cfg mrtg-ping-probe mrtg.cfg-ping

man: $(MAN)
$(MAN):	$(POD)
	pod2man $(POD) > $(MAN)

html: $(HTML)
$(HTML): $(POD)
	pod2html $(POD) > $(HTML)

tex: $(TEX)
$(TEX):	$(POD)
	pod2latex $(POD) > $(TEX)

shar: mrtg-ping-probe.shar.01
mrtg-ping-probe.shar.01: $(FILES)
	shar -n mrtg-ping-probe -a -z -c -o mrtg-ping-probe.shar $(FILES)

clean:
	rm -f $(MAN) $(HTML) $(TEX)

realclean:	clean

distclean:	realclean

## mrtg 2.5.4c

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	@echo  "* To compile rateup, then type 'make rateup'."
 	@echo  "* Do a 'make substitute' to fix the perl5 pointers in the scripts"
 	@echo  ""
-	@echo  "And now you should realy read the docs!"
+	@echo  "And now you should really read the docs!"
 	@echo  ""
 	@echo  ""
 
@@ -69,7 +69,7 @@
 # Private Parts :-)
 #################################################################
 
-NUMBER = 2.5.2
+NUMBER = 2.5.4c
 VERSION = mrtg-$(NUMBER)
 
 TAR = tar

## mrtg 2.9.17

=== contrib/GetSNMPLinesUP/Makefile ===
# 
#

# $Id$
# $Source$
# $Log$

ADMINDIR=/home/mrtg/bin

# RCSFILES
CI = -ci
CO = -co
COFLAGS = -l

CC = gcc
CFLAGS = -O
LIBS = -lresolv -l44bsd

.c.o:
	$(CC) $(CFLAGS) -c $*.c

TARGETS = 	ModemTable.dial-machine

PROGS =		GetSNMPLinesUP.pl

RCSFILES = $(TARGETS) $(PROGS)

all: install

checkin:
	make clean
	$(CI) $(RCSFILES)
	$(CI) -u Makefile

checkout:
	$(CO) $(COFLAGS) $(RCSFILES)
	$(CO) -l Makefile

linux:
	make CFLAGS="-O -DLINUX" LIBS="" all

install:	$(PROGS) $(TARGETS)
	install -g staff -m 0644 -o root $(TARGETS) $(ADMINDIR)
	install -g staff -m 0755 -o root $(PROGS) $(ADMINDIR)

clean: 
	/bin/rm -f *~ *.o ,* core tmp*

## mrtg 2.17.2

=== debian/changelog ===
mrtg (2.17.2-1) unstable; urgency=low

  * New upstream release
    - updated mrtg-squid doc; thanks to Chris Chiappa; Closes: #317813
    - support for glob patterns for include files; thanks to Jamin W. Collins;
      Closes: #245355
    - remove a race-condition when writing new trafic graph files with rateup by
      writing to a temp file and moving it later; thanks to herbert@debian.org;
      Closes: #20641
    - do not load Net_SNMP_util unless snmpv3 is requested; thanks to Martín
      Ferrari; Closes: #404168
    - explicitly import Socket6 routines in SNMP_Session; thanks to Matija
      Grabnar; Closes: #629331
    - adjustment for perl new taint mode (since 5.10); thanks to Julien Savoie
      for the report; Closes: #612550
  * Acknowledge NMU; Closes: #625695
  * debian/README.Debian
    - removed notice about snmpd configuration; thanks to Harald Dunkel for the
      report; Closes: #599802
  * debian/source/format
    - converted to 3.0 (quilt) format
  * debian/patches/bts113894_use_gawk.patch
    - convert [f3f7427] to a proper patch
  * debian/patches/bts457032_fix_doc_location.patch
    - convert [9d8bd7a] to a proper patch
  * debian/patches/fix_for_ipacc.patch
    - convert [75f1393] to a proper patch
  * debian/patches/fix_typos_doc_manpages.patch
    - convert [2867bb3] to a proper patch
  * debian/patches/bts113814_mrtgindx.cgi
    - convert [759fe33] to a proper patch
  * debian/patches/bts167107_nodefaultglobal.patch
    - convert [ef33ad5] to a proper patch
  * debian/patches/dont_create_varlockmrtg.patch
    - convert [369821e] to a proper patch
  * debian/patches/{mrtg_lock_temp_cache_files_fixups.patch,
                    cfgmaker_debian_workdir.patch,
		    iptables-accounting_linewrap.patch}
    - convert part of [02d0030] to a proper patch
  * debian/rules
    - don't remove *.rej and *.orig, they are in the upstream tarball
    - fix build, build-arch, build-indep targets as lintian suggests
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
  * debian/cron.d
    - don't run if Workdir is not a directory; thanks to Adrian Bridgett for the
      report; Closes: #527315

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Aug 2011 16:30:14 +0200

mrtg (2.16.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch from upstream (r285) fixing fatal errors when running
    with perl 5.12; Closes: #625695

 -- Dominic Hargreaves <dom@earth.li>  Fri, 06 May 2011 19:51:19 +0100

mrtg (2.16.3-3) unstable; urgency=low

  * debian/po/vi.po
    - updated debconf PO Vietnamese translation; thanks to Clytie Siddall for
      the report and patch; Closes: #601565

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Dec 2010 09:16:41 +0100

mrtg (2.16.3-2) unstable; urgency=low

  * debian/po/da.po
    - updated debconf PO Danish translation; thanks to Joe Dalton for the report
      and patch; Closes: #585573
  * debian/po/pt.po
    - updated debconf PO Portuguese translation; thanks to Américo Monteiro for
      the report and patch; Closes: #589411
  * debian/po/cs.po
    - updated debconf PO Czech translation; thanks to Michal Simunek for the
      report and patch; Closes: #589531

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Aug 2010 18:37:04 +0200

mrtg (2.16.3-1) unstable; urgency=low

  * New upstream release
  * debian/po/sv.po
    - updated debconf PO Swedish translation; thanks to Martin Bagge for the
      report and patch; Closes: #562926
  * debian/po/fr.po
    - updated debconf PO French translation; thanks to Christian Perrier for the
      report and patch; Closes: #562941
  * debian/po/ru.po
    - updated debconf PO Russian translation; thanks to Yuri Kozlov for the
      report and patch; Closes: #563080
  * debian/po/es.po
    - updated debconf PO Spanish translation; thanks to Francisco Javier
      Cuadrado for the report and patch; Closes: #565717
  * debian/po/de.po
    - updated debconf PO German translation; thanks to Thomas Mueller for the
      report and patch; Closes: #567894
  * bin/mrtg, contrib/mrtg-startup-script/mrtg, debian/mrtg.dirs
    - don't create /var/lock/mrtg at install time, but try it at each invocation
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
  * doc/*
    - fixed some typos in manpages and documentation
  * debian/mrtg.config
    - use 'set -e' instead of 'sh -e' in the shebang
  * debian/copyright
    - split Copyright and License information
    - link to the correct local license file, GPL-2
    - added packaging copyright notice for my contributions

 -- Sandro Tosi <morph@debian.org>  Thu, 18 Mar 2010 23:09:25 +0100

mrtg (2.16.2-5) unstable; urgency=low

  * contrib/{mrtgrq/make-mrtg.cfg.awk, net-hosts/{make-mrtg.cfg.awk,net-hosts}},
    debian/control
    - uses gawk (suggesting it in mrtg-contrib) because mawk doesn't have
      strftime (+ small typo fix); thanks to Theodore Alexandrov for the report
      and patch (that needs to be adapter); Closes: #113894
  * debian/control
    - bump versioned depends on 'libsnmp-session-perl' to '>= 1.12'; thanks to
      Jason Hall for the initial report, to Sumit Madan and Simon A. Boggis for
      following this up, and Niko Tyni for perl analysis; Closes: #411903
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/mrtg.templates
    - updated to indicate it's 'root' the user MRTG runs with; thanks to
      Jonathan Wiltshire for the report; Closes: #521411
  * debian/mrtg.{config, template}, debian/postinst
    - removed 'own_user' debconf template, since not used
  * debian/po/*
    - run debconf-updatepo after debconf template update
  * bin/cfgmaker
    - added 'nodefaultglobal' option, to not include global options by default;
      thanks to Hilko Bengen for the report and patch; Closes: #167107
  * debian/po/fr.po
    - updated debconf PO French translation; thanks to Christian Perrier for the
      report and patch; Closes: #553674
  * debian/po/it.po


=== debian/control ===
Source: mrtg
Section: net
Priority: extra
Maintainer: Adam Majer <adamm@zombino.com>
Uploaders: Sandro Tosi <morph@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), libgd2-noxpm-dev, libpng-dev|libpng12-dev, zlib1g-dev, debconf-utils, po-debconf
Vcs-Browser: http://git.debian.org/?p=collab-maint/mrtg.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/mrtg.git
Homepage: http://oss.oetiker.ch/mrtg

Package: mrtg
Architecture: any
Depends: debconf (>= 1.2.0) | debconf-2.0, libsnmp-session-perl (>= 1.12), perl-modules (>= 5.6.0), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: mrtg-contrib, httpd | www-browser
Description: multi router traffic grapher
 The Multi Router Traffic Grapher is a tool primarily used to monitor the
 traffic load on network links (typically by using SNMP). MRTG generates HTML
 pages containing PNG images which provide a LIVE visual representation of this
 traffic. MRTG typically produces daily, weekly, monthly, and yearly graphs.
 .
 In addition to monitoring via SNMP, MRTG can also generate graphs based on
 the output of any application, allowing one to generate graphs of anything
 that needs monitoring (for example, CPU and memory usage, email volumes, web
 hits, etc). For faster data collection, MRTG can also interface to RRDtool.
 .
 The mrtg-contrib package contains the contributed scripts and configuration
 files that used to form part of the mrtg package.

Package: mrtg-contrib
Architecture: all
Depends: mrtg (>= ${source:Version}), mrtg (<< ${source:Version}.1~), ${misc:Depends}
Suggests: cricket, gawk
Description: multi router traffic grapher (contributed files)
 A collection of sample scripts and configuration files for the Multi Router
 Traffic Grapher (MRTG). This package contains the contributed files that ship
 with MRTG.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PACKAGE=mrtg
TMP=`pwd`/debian/mrtg

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile config.log config.status
	rm -f bin/rateup.o # not (always?) cleaned by make clean
	rm -f config.h

	dh_clean -Xrej -Xorig

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installdocs
	dh_installman
	dh_install

   # Manual install :(

	cp -a lib/mrtg2/*.pm $(TMP)/usr/share/perl5
	# Remove the three SNMP_Session modules which are now in libsnmp-session-perl
	rm -f $(TMP)/usr/share/perl5/BER.pm
	rm -f $(TMP)/usr/share/perl5/SNMP_Session.pm
	rm -f $(TMP)/usr/share/perl5/SNMP_util.pm
	install -m 644 debian/cron.d $(TMP)/etc/cron.d/mrtg
	install -m 755 bin/cfgmaker $(TMP)/usr/bin
	install -m 755 bin/indexmaker $(TMP)/usr/bin
	install -m 755 bin/mrtg $(TMP)/usr/bin
	install -m 755 bin/rateup $(TMP)/usr/bin
	install -m 644 debian/sample-mrtg.cfg $(TMP)/etc/mrtg.cfg
	#dh_installdocs doc/*.html doc/*.txt doc/*.pod README ANNOUNCE
	#dh_installexamples -p$(PACKAGE)-contrib contrib/* debian/exim-stats

	mkdir -p $(TMP)/usr/share/doc/mrtg/examples
	cp -a contrib/* $(TMP)/usr/share/doc/mrtg/examples/
	cp -a debian/exim-stats $(TMP)/usr/share/doc/mrtg/examples/
	rm -rf $(TMP)/usr/share/doc/mrtg/examples/xlsummary  # Remove the bit that doens't run on Debian anyway
	# Remove the extra COPYING files in some contrib files
	rm $(TMP)/usr/share/doc/mrtg/examples/GetSNMPLinesUP/COPYING || true
	rm $(TMP)/usr/share/doc/mrtg/examples/mrtg-blast/COPYING || true

	# Fix some #! lines
	find $(TMP)/usr/share/doc/mrtg/examples -type f | xargs -r \
		perl -i -pe '$$_ = "#!/usr/bin/perl\n" if m|^#!.*[/\\]perl|;'
	# Correcting deps
	find $(TMP)/usr/share/doc/mrtg/examples -type f | xargs -r chmod 0644
	find $(TMP)/usr/share/doc/mrtg/examples -type f | xargs -r -n 1 \
		sh -c "if head -1 $$1 | grep -q '^#!'; then echo $$1; fi" | \
		xargs -r chmod 0755

	# logrotate
	cp -a debian/logrotate $(TMP)/etc/logrotate.d/mrtg

	mv ${TMP}/usr/share/doc/mrtg/examples/* ${TMP}/../mrtg-contrib/usr/share/doc/mrtg/examples

	# Clean empty dir
	rm -rf $(TMP)/usr/share/doc/mrtg/examples

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_compress -Xexamples/
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs 
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
	dh_installdeb
#	dh_makeshlibs
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mrtg 2.17.3

=== debian/changelog ===
mrtg (2.17.3-2ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #913432).  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 08 Jan 2012 18:06:44 +0100

mrtg (2.17.3-2) unstable; urgency=low

  * debian/copyright
    - updated packaging copyright info
  * debian/cron.d
    - fix grep syntax in cronjob; Closes: #653363

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Dec 2011 23:23:53 +0100

mrtg (2.17.3-1) unstable; urgency=low

  * New upstream release
    - add the process id tmp file extensions, to guard against multiple rateup
      instances messing things up for each other; Closes: #600798
    - cfgmaker skip using ifalias (only supported on routers where mrtg knows
      that ifalias exists) if it is undefined and switch to the next item in
      line for ifdesc; Closes: #630725
    - add missing closing brace in HTML template; Closes: #641163
  * debian/cron.d
    - exclude commented lines when checking WorkDir; thanks to Celelibi for the
      report; Closes: #641157
  * debian/po/nl.po
    - updated debconf PO Dutch translation; thanks to Joe Dalton for the report
      and patch; Closes: #652956
  * debian/patches/fix_typos_doc_manpages.patch
    - removed, merged upstream
  * debian/{mrtg.docs, rules}
    - don't install CHANGES directly, it's detected by dh_installchangelogs

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Dec 2011 11:41:35 +0100

mrtg (2.17.2-1ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #890368).  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 24 Aug 2011 22:20:31 +0000

mrtg (2.16.3-3.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Make --ifref default to name.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 18 May 2011 11:51:00 +0530

mrtg (2.16.3-3ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change:
    - Make --ifref default to name.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 01 Jan 2011 11:34:45 +0530

mrtg (2.16.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Make --ifref default to name.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 29 Oct 2010 00:51:01 +0200

mrtg (2.16.3-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #593109) Remaining changes:
    - Make --ifref default to name.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Wed, 05 May 2010 05:05:36 +0100

mrtg (2.16.2-5ubuntu2) lucid; urgency=low

  * debian/cron.d: Create /var/run/lock if it doesn't exist (LP: #30428,
    #545250). This is also fixed in Debian, so we can drop this change at the
    next merge.

 -- Iain Lane <laney@ubuntu.com>  Tue, 23 Mar 2010 17:40:14 +0000

mrtg (2.16.2-5ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Make --ifref default to name.

 -- Iain Lane <laney@ubuntu.com>  Thu, 07 Jan 2010 17:54:48 +0000

mrtg (2.16.2-4ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Make --ifref default to name.

 -- Iain Lane <laney@ubuntu.com>  Tue, 03 Nov 2009 19:42:01 +0000

mrtg (2.16.2-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #295666), remaining changes:
    - Make --ifref default to name.
    - debian/cron.d: /var/lock/mrtg disappearing on reboot.

 -- Iain Lane <laney@ubuntu.com>  Sat, 08 Nov 2008 18:14:08 +0000

mrtg (2.16.1-2ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes (LP: #224581):
    - Make --ifref default to name.
    - debian/cron.d: /var/log/mrtg disappearing on reboot.
  * HTML documentation dropped upstream (LP: #2019).
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Iain Lane <iain@orangesquash.org.uk>  Sat, 10 May 2008 18:39:08 +0100

mrtg (2.14.7-2ubuntu3) hardy; urgency=low

  * Don't unconditionally remove /var/www/mrtg when purging.
    Changed files: debian/postrm (LP: #162426)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 19 Feb 2008 22:05:03 +0000

mrtg (2.14.7-2ubuntu2) hardy; urgency=low

  * Make --ifref default to name. The order of the interfaces is unreliable,
    and ifref=name is really a much better default.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 24 Oct 2007 01:01:18 +0200

mrtg (2.14.7-2ubuntu1) feisty; urgency=low

  * debian/cron.d: /var/lock/mrtg disappearing on reboot (LP# 30428)
    * Thanks to Victor Hugo dos Santos for the patch
  * Bump debhelper build-dep to >= 5.0.37
  * debian/compat: Bump to 5

 -- Barry deFreese <bddebian@comcast.net>  Fri,  9 Mar 2007 21:26:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mrtg
 Section: net
 Priority: extra
-Maintainer: Adam Majer <adamm@zombino.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Majer <adamm@zombino.com>
 Uploaders: Sandro Tosi <morph@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libgd2-noxpm-dev, libpng-dev|libpng12-dev, zlib1g-dev, debconf-utils, po-debconf

## mrtg 2.17.4

=== debian/changelog ===
mrtg (2.17.4-4.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Dec 2017 09:48:38 +0100

mrtg (2.17.4-4.1) unstable; urgency=medium

  * NMU to remove Net_SNMP_util module (which is now to be found in
    libsnmp-session-perl).
  * Build-Depend on libgd-dev instead of libgd-dev (Closes: #880776).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 05 Dec 2017 17:41:10 +0100

mrtg (2.17.4-4ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Apr 2016 15:29:09 +0200

mrtg (2.17.4-4) unstable; urgency=medium

  * debian/control
    - b-d only on the unversioned libpng-dev; Closes: #810194
    - bump Standards-Version to 3.9.7 (no changes needed)
    - point Vcs-* to HTTPS
  * debian/po/pt_BR.po
    - udpate Brazilian Portuguese debconf translation; Closes: #799420

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Apr 2016 23:45:07 +0100

mrtg (2.17.4-3ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2016 08:24:32 +0000

mrtg (2.17.4-3) unstable; urgency=medium

  [ Adam Majer ]
  * Added DCN (Digital China Networks) identity patch provided by Paweł
    Gołaszewski. Thank you. Closes: #771894

  [ Sandro Tosi ]
  * remove explicit b-d on perl-modules; thanks to Dominic Hargreaves for the
    report and to Damyan Ivanov for pushing for a fix; Closes: #788153

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2015 18:34:41 +0100

mrtg (2.17.4-2ubuntu2) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:43:16 +0100

mrtg (2.17.4-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 21 Nov 2012 00:16:47 +0700

mrtg (2.17.4-2) unstable; urgency=low

  * debian/po/sv.po
    - updated debconf PO Swedish translation; thanks to Martin Bagge for the
      report and patch; Closes: #681497

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Aug 2012 13:57:30 +0200

mrtg (2.17.4-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1004519). Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 25 May 2012 16:09:54 +0200

mrtg (2.17.4-1) unstable; urgency=low

  * New upstream release
  * debian/po/id.po
    - added debconf PO Indonesian translation; thanks to Mahyuddin Susanto for
      the report and patch; Closes: #660313
  * debian/copyright
    - reformatted to DEP-5 format, bumping packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
    - switching Maintainer and Uploaders fields, to reflect reality

 -- Sandro Tosi <morph@debian.org>  Sat, 19 May 2012 19:11:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: net
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adam Majer <adamm@zombino.com>
-Uploaders: Sandro Tosi <morph@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), libgd2-noxpm-dev, libpng-dev|libpng12-dev, zlib1g-dev, debconf-utils, po-debconf
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mrtg.git;a=summary
-Vcs-Git: git://git.debian.org/git/collab-maint/mrtg.git
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Adam Majer <adamm@zombino.com>
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 7), libgd-dev, libpng-dev, zlib1g-dev, debconf-utils, po-debconf
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mrtg.git
+Vcs-Git: https://anonscm.debian.org/git/git/collab-maint/mrtg.git
 Homepage: http://oss.oetiker.ch/mrtg
 
 Package: mrtg
 Architecture: any
-Depends: debconf (>= 1.2.0) | debconf-2.0, libsnmp-session-perl (>= 1.12), perl-modules (>= 5.6.0), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: debconf (>= 1.2.0) | debconf-2.0, libsnmp-session-perl (>= 1.14~git20130523.186a005-1), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mrtg-contrib, httpd | www-browser
 Description: multi router traffic grapher
  The Multi Router Traffic Grapher is a tool primarily used to monitor the

=== debian/rules ===
--- 
+++ 
@@ -54,10 +54,11 @@
    # Manual install :(
 
 	cp -a lib/mrtg2/*.pm $(TMP)/usr/share/perl5
-	# Remove the three SNMP_Session modules which are now in libsnmp-session-perl
+	# Remove the four SNMP_Session modules which are now in libsnmp-session-perl
 	rm -f $(TMP)/usr/share/perl5/BER.pm
 	rm -f $(TMP)/usr/share/perl5/SNMP_Session.pm
 	rm -f $(TMP)/usr/share/perl5/SNMP_util.pm
+	rm -f $(TMP)/usr/share/perl5/Net_SNMP_util.pm
 	install -m 644 debian/cron.d $(TMP)/etc/cron.d/mrtg
 	install -m 755 bin/cfgmaker $(TMP)/usr/bin
 	install -m 755 bin/indexmaker $(TMP)/usr/bin
@@ -109,7 +110,7 @@
 #	dh_installmanpages
 	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs CHANGES
+	dh_installchangelogs
 	dh_link
 	dh_compress -Xexamples/
 	dh_fixperms
@@ -138,7 +139,7 @@
 #	dh_installmanpages
 	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs CHANGES
+	dh_installchangelogs
 	dh_strip
 	dh_link
 	dh_compress

=== debian/watch ===
version=3
http://oss.oetiker.ch/mrtg/pub/?M=D	mrtg-(.*)\.tar\.gz	debian	uupdate

## mrtg 2.17.7

=== debian/changelog ===
mrtg (2.17.7-3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Oct 2021 08:26:33 +0200

mrtg (2.17.7-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * New maintainer. Thanks to Sandro Tosi, the previous maintainer.
    (Closes: #995427)
  * Ran wrap-and-sort.
  * Migrated debian/rules to new (reduced) format. Consequently:
      - debian/clean: created to remove some files forgotten by the upstream
        after build/clean sequences.
      - debian/control: added dos2unix and jdupes to Build-Depends to help
        the new debian/rules to solve some issues.
      - debian/exim-stats/: moved to debian/contrib/.
      - debian/mrtg-contrib.install: created to install all needed files for
        mrtg-contrib binary.
      - debian/mrtg.dirs: removed the directories names already created by
        debian/mrtg.install.
      - debian/mrtg.docs: removed because all needed docs are being installed
        by mrtg.install and dh_* (e.g. dh_installchangelogs).
      - debian/mrtg.install:
          ~ Updated to install all possible data from debian/tmp/.
          ~ Added usr/bin/mrtg-traffic-sum, not present in previous releases.
      - debian/mrtg.manpages: moved the main content to debian/mrtg.manpages.
        Now, this file only installs debian/contrib/rateup.1.
      - debian/not-installed: created to list some upstream files not installed
        in final binaries.
      - debian/rateup.1: moved to debian/contrib/.
      - debian/sample-mrtg.cfg: moved to debian/contrib/config/.
  * debian/docs: removed. The content of this file was only THANKS, already
    in debian/mrtg.docs (also removed from the package, see above).
  * debian/mrtg-contrib.dirs: removed because the new file
    debian/mrtg-contrib.install already creates all needed directories.
  * debian/mrtg.templates.hold: removed. This template was deprecated in
    revision 2.16.2-5, released on 2009-11-12.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: created to perform CI tests.

  [ Debian Janitor ]
 * Remove constraints unnecessary since buster:
    + mrtg: Drop versioned constraint on debconf and libsnmp-session-perl in
      Depends.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 01 Oct 2021 22:41:48 -0300

mrtg (2.17.7-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Jan 2021 23:09:59 +0100

mrtg (2.17.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * debian/control
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/copyright
    - extend packaging copyright years
  * debian/watch
    - bump standard to version 4

 -- Sandro Tosi <morph@debian.org>  Thu, 31 Dec 2020 23:23:44 -0500

mrtg (2.17.7-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - make-ifref-default-to-name.patch: Make --ifref default to name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Feb 2019 11:30:45 +0100

mrtg (2.17.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sandro Tosi ]
  * New upstream release
  * Acknowledge NMU; Closes: #880776
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
    - remove Adam Majer from Uploaders, thanks for your contributions!
  * debian/patches/*
    - refresh, remove patch merged upstream
  * debian/watch
    - use HTTPS

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Feb 2019 15:14:12 -0500

=== debian/control ===
Source: mrtg
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Standards-Version: 4.5.1
Build-Depends: debconf-utils,
               debhelper-compat (= 13),
               dos2unix,
               jdupes,
               libgd-dev,
               libpng-dev,
               po-debconf,
               zlib1g-dev
Vcs-Browser: https://salsa.debian.org/debian/mrtg
Vcs-Git: https://salsa.debian.org/debian/mrtg.git
Homepage: https://oss.oetiker.ch/mrtg

Package: mrtg
Architecture: any
Depends: debconf | debconf-2.0,
         libsnmp-session-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: httpd | www-browser, mrtg-contrib
Description: multi router traffic grapher
 The Multi Router Traffic Grapher is a tool primarily used to monitor the
 traffic load on network links (typically by using SNMP). MRTG generates HTML
 pages containing PNG images which provide a LIVE visual representation of this
 traffic. MRTG typically produces daily, weekly, monthly, and yearly graphs.
 .
 In addition to monitoring via SNMP, MRTG can also generate graphs based on
 the output of any application, allowing one to generate graphs of anything
 that needs monitoring (for example, CPU and memory usage, email volumes, web
 hits, etc). For faster data collection, MRTG can also interface to RRDtool.
 .
 The mrtg-contrib package contains the contributed scripts and configuration
 files that used to form part of the mrtg package.

Package: mrtg-contrib
Architecture: all
Depends: mrtg (<< ${source:Version}.1~),
         mrtg (>= ${source:Version}),
         ${misc:Depends}
Suggests: cricket, gawk
Description: multi router traffic grapher (contributed files)
 A collection of sample scripts and configuration files for the Multi Router
 Traffic Grapher (MRTG). This package contains the contributed files that ship
 with MRTG.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONTRIB_EXAMPLES = debian/mrtg-contrib/usr/share/doc/mrtg/examples

%:
	dh $@

# Using *-indep to avoid issues when building arch dependent binary only

override_dh_install-indep:
	dh_install

	# xlsummary depends on non-free software. See #293641.
	rm -rf $(CONTRIB_EXAMPLES)/xlsummary

	# Removing extra licensing files
	find $(CONTRIB_EXAMPLES) -name COPYING -exec rm -f {} \;

	# Fix hashbangs: c:\perl\bin
	egrep -sri '#!c:\\perl\\bin' $(CONTRIB_EXAMPLES) | cut -d: -f1 | \
            xargs sed -i 's/#!c:\\perl\\bin/#!\/usr\/bin\/perl/'

	# Fix all Unixes hashbangs with 'perl'
	egrep -sr '^#!\/[a-z/]+perl[0-9]?' $(CONTRIB_EXAMPLES) | cut -d: -f1 | \
            xargs sed -i 's/^#!\/[a-z/]\+perl[0-9]\?/#!\/usr\/bin\/perl/'

	# Convert all files to Unix EOL style
	find $(CONTRIB_EXAMPLES) -type f -exec dos2unix -q {} \;

	# Create symlinks for duplicate files
	jdupes -rl $(CONTRIB_EXAMPLES)

override_dh_fixperms-indep:
	# There are several examples with wrong permissions for Unix, so
        # changing all regular files to 644 is a good idea because they are
        # examples only. Note that dh_fixperms will change some permissions
        # again.
	find $(CONTRIB_EXAMPLES) -type f -exec chmod 644 {} \;
	dh_fixperms

override_dh_compress-indep:
	dh_compress -Xexamples/

=== debian/tests/control ===
Test-Command: mkdir $AUTOPKGTEST_TMP/mrtg;
              cp debian/tests/mrtg.cfg $AUTOPKGTEST_TMP;
              sed -i "s,DIR,$AUTOPKGTEST_TMP," $AUTOPKGTEST_TMP/mrtg.cfg;
              # First run to generate an initial log
              LANG=C /usr/bin/mrtg $AUTOPKGTEST_TMP/mrtg.cfg 2>&1 | grep -o " " | head -n1 && echo "Generated an initial log.";
              echo "Running mrtg...";
              LANG=C /usr/bin/mrtg $AUTOPKGTEST_TMP/mrtg.cfg;
              ls -lh $AUTOPKGTEST_TMP/mrtg;
              cd $AUTOPKGTEST_TMP/mrtg;
              [ -s 2numbers-day.png ] || exit 1;
              [ -s 2numbers-week.png ] || exit 1;
              [ -s 2numbers-month.png ] || exit 1;
              [ -s 2numbers-year.png ] || exit 1;
              egrep "980 123" 2numbers.log
Restrictions: needs-root

## mrtg 2.17.8+git20211026.912afc5

=== debian/changelog ===
mrtg (2.17.8+git20211026.912afc5-5) unstable; urgency=medium

  * debian/po/sv.po: fixed a mistake in translation. (Closes: #998750)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Nov 2021 13:45:59 -0300

mrtg (2.17.8+git20211026.912afc5-4) unstable; urgency=medium

  * debian/po/sv.po: added translation for Swedish. Thanks to
    Martin Bagge / brother <brother@persilja.net>. (Closes: #998433)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 04 Nov 2021 13:28:44 -0300

mrtg (2.17.8+git20211026.912afc5-3) unstable; urgency=medium

  * debian/po/cs.po: added translation for Czech. Thanks to
    Michal Simunek <michal.simunek@gmail.com>. (Closes: #998357)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 03 Nov 2021 16:17:45 -0300

mrtg (2.17.8+git20211026.912afc5-2) unstable; urgency=medium

  * debian/mrtg.README.Debian: updated group name for some directories.
  * debian/mrtg.service: added options LogsDirectory, LogsDirectoryMode,
    StateDirectory and StateDirectoryMode, all needed to allow MRTG to create
    /var/lib/mrtg and /var/log/mrtg while using the User option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Oct 2021 20:21:51 -0300

mrtg (2.17.8+git20211026.912afc5-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211026.912afc5.
  * debian/mrtg.service:
      - Added PIDFile option, as recommended by SYSTEMD.SERVICE(5).
      - Added User option, to automatically populate environment variables like
        USER and HOME. Thanks to Norman Rasmussen norman@darkskies.za.net.
        (Closes: #998158)
      - Added RuntimeDirectory option to automatically create /run/mrtg/. This
        option is required while using the User option.
  * debian/patches/030_fix-accented-words.patch: removed because the upstream
    fixed the source code. Thanks.
  * debian/po/: added the following translations:
      - de.po. Thanks to Helge Kreutzmann <debian@helgefjell.de>.
        (Closes: #998176)
      - pt.po. Thanks to Américo Monteiro <a_monteiro@gmx.com>.
        (Closes: #998079)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Oct 2021 13:46:32 -0300

mrtg (2.17.8+git20211022.f52e91e-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211022.f52e91e. Some features:
      - Now, MRTG creates directories /run/mrtg/, /var/lib/mrtg/,
        /var/lock/mrtg/ and /var/log/mrtg/ automatically if they not exist when
        using --fhs option.
      - Moved the config file (in source code) from /etc/ to /etc/mrtg/.
        (Closes: #245357)
      - The lock file will be removed if the pid file no longer exists.
        (Closes: #996787)
      - Updated to use FHS 3.0 instead of 2.3 when calling the --fhs option.
        (Closes: #996786)
  * From now, MRTG will run on Debian under a non-root user. Consequently,
    the following files were removed:
      - debian/mrtg.config
      - debian/mrtg.templates
      - debian/po/*
  * Moved all examples from 'mrtg' to 'mrtg-contrib'. Consequently:
      - debian/mrtg-contrib.links: created to make a link between the new and
        the old places.
      - Updated the following files to act over the new place:
          ~ debian/mrtg-contrib.install
          ~ debian/mrtg-contrib.lintian-overrides
          ~ debian/rules
  * New debconf to make adjustments in /var/www/html/mrtg. Consequently:
      - Re-created with a new content:
          ~ debian/mrtg.config
          ~ debian/mrtg.templates
          ~ debian/po/*
      - debian/mrtg.postinst: added new commands to create or fix permissions
        for /var/www/html/mrtg.
  * This Debian revision is providing the following scripts to start MRTG:
      - /debian/mrtg.init, for init.d. (Closes: #245358, LP: #358123)
      - /debian/mrtg.service, for systemd.
  * debian/contrib/config/mrtg.cfg:
      - Moved to debian/config/mrtg.cfg.
      - Updated the content.
  * debian/control:
      - Added 'Pre-Depends: ${misc:Pre-Depends}', needed for
        debian/post{inst,rm}.
      - Improved long description for mrtg-contrib.
      - Removed no longer needed relationships from mrtg in Depends field for
        mrtg-contrib binary.
  * debian/copyright: updated upstream packaging copyright years.
  * debian/cron.d: removed because this file was created before MRTG has the
    --daemon option (available since version 2.9.27). Running via cron works
    but this is a primitive mode. From now, MRTG on Debian will use init.d and
    systemd to run.
  * debian/logrotate: renamed to debian/mrtg.logrotate.
  * debian/mrtg.dirs: removed because MRTG now creates var/lib/mrtg/ and
    var/log/mrtg/ directories automatically if running with --fhs (default in
    Debian from now).
  * debian/mrtg.install: moved mrtg.cfg from /etc/ to /etc/mrtg/.
    (Closes: #245357)
  * debian/mrtg.doc-base.configuration: renamed to debian/mrtg.doc-base.
  * debian/mrtg.NEWS: created.
  * debian/mrtg-contrib.lintian-overrides: updated, adding, removing and
    changing some content. Note that all content of mrtg-contrib are examples
    sent for MRTG project from the community.
  * debian/patches/:
      - 010-mrtg_lock_temp_cache_files_fixups.patch: dropped why we have the
        option --fhs since MRTG 2.9.27, released in 2003-02-19.
        (Closes: #997095)
      - 010_enable-www-dir.patch: added to enable 'WorkDir: /var/www/html/mrtg'
        for Debian.
      - 030_fix-accented-words.patch: created to fix some accented words in
        Brazilian Portuguese.
      - 100-remove_joke.patch: removed because I no longer need massive tests,
        so is a good idea to keep the original upstream source code.
      - 150-fix_privacy_breach.patch: renamed to 020_fix-privacy-breach.patch.
      - Removed because the upstream fixed the source code (thanks):
          ~ 040-bts113814_mrtgindx_cgi.patch
          ~ 060-dont_create_varlockmrtg.patch (Closes: #997095)
          ~ 070-cfgmaker_debian_workdir.patch
  * debian/postinst:


## mrtg 2.17.8+git20211109.9205d1d

=== debian/changelog ===
mrtg (2.17.8+git20211109.9205d1d-3) unstable; urgency=medium

  * debian/po/es.po: added translation for Spanish. Thanks to
    Camaleón <noelamac@gmail.com>. (Closes: #1003518)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Jan 2022 13:11:36 -0300

mrtg (2.17.8+git20211109.9205d1d-2) unstable; urgency=medium

  * Created a new debconf process to handle the cron script created via old
    versions of the MRTG. Consequently:
      - Updated the following files:
          ~ debian/mrtg.config
          ~ debian/mrtg.postinst
          ~ debian/mrtg.templates
      - Translations:
          ~ debian/po/*: updated all templates.
          ~ debian/po/pt_BR.po: updated the translation.
          ~ debian/po/pt.po: updated the translation. Thanks to Américo
            Monteiro <a_monteiro@gmx.com>.
      - Closes: #1003338
  * debian/copyright: updated packaging copyright years.
  * debian/mrtg-contrib.lintian-overrides: updated overrides about Perl4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Jan 2022 12:01:26 -0300

mrtg (2.17.8+git20211109.9205d1d-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211109.9205d1d.
  * debian/po/:
      - fr.po: added translation for French. Thanks to
        Jean-Pierre Giraud <jenapierregiraud75@free.fr>. (Closes: #998797)
      - nl.po: added translation for Dutch. Thanks to
        Frans Spiesschaert <Frans.Spiesschaert@yucom.be>. (Closes: #998829)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 09 Nov 2021 16:55:54 -0300

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,29 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debconf-utils,
-               debhelper-compat (= 13),
+Standards-Version: 4.6.0.1
+Build-Depends: debhelper-compat (= 13),
                dos2unix,
                jdupes,
                libgd-dev,
                libpng-dev,
                po-debconf,
                zlib1g-dev
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/mrtg
 Vcs-Git: https://salsa.debian.org/debian/mrtg.git
 Homepage: https://oss.oetiker.ch/mrtg
 
 Package: mrtg
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: debconf | debconf-2.0,
          libsnmp-session-perl,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
 Suggests: httpd | www-browser, mrtg-contrib
-Description: multi router traffic grapher
+Description: Multi Router Traffic Grapher
  The Multi Router Traffic Grapher is a tool primarily used to monitor the
  traffic load on network links (typically by using SNMP). MRTG generates HTML
  pages containing PNG images which provide a LIVE visual representation of this
@@ -39,11 +40,10 @@
 
 Package: mrtg-contrib
 Architecture: all
-Depends: mrtg (<< ${source:Version}.1~),
-         mrtg (>= ${source:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends}, mrtg
 Suggests: cricket, gawk
-Description: multi router traffic grapher (contributed files)
+Description: Multi Router Traffic Grapher (contributed files)
  A collection of sample scripts and configuration files for the Multi Router
  Traffic Grapher (MRTG). This package contains the contributed files that ship
- with MRTG.
+ with MRTG. Note these scripts were produced by some users in several systems,
+ like Linux and MS Windows.
